Editing of shapefile locked following clearing of a filter

2017-09-25 02:01 PM - Nigel Malcolm

Status: Closed

Priority: Normal

Assignee:

Category: Unknown

Affected QGIS version:2.18.12 Regression?: No

Operating System: Windows 10 64 Bit Easy fix?: No

Pull Request or Patch supplied:No Resolution: duplicate

Crashes QGIS or corrupts data:No Copied to github as #: 25092

Description

I an using QGIS 2.18.12 (64 Bit) and QGIS 2.14.11 (32 Bit) on a Windows 10 computer.

When I clear a filter - "Provider feature filter" (Layer Properties>General>Provider feature filter) from a shapefile, I am unable to edit that

shapefile until I have closed the project and reopened it.

I have checked and this behaviour is the same on both the 32bit and 64bit versions of QGIS that I use

Related issues:

Duplicates QGIS Application - Bug report # 17124: Editing behavior of filtere... Open 2017-09-12

History

#1 - 2017-09-25 02:15 PM - Giovanni Manghi

- Resolution set to duplicate

- Status changed from Open to Closed

duplicate of #17124

#2 - 2017-09-28 09:28 AM - Jürgen Fischer

- Duplicates Bug report #17124: Editing behavior of filtered layers is inconsistent added
